.aolei-faq-section {
    background-color: var(--bg-color);
    padding-bottom: var(--component-gap);
}

.aolei-faq-container {
    width: 100%;
}

.aolei-faq-title {
    font-family: var(--title-font-family);
    font-size: var(--font-40);
    font-weight: 400;
    line-height: normal;
    color: var(--title-text-color);
    text-align: center;
    margin-bottom: var(--gap-50);
}

.aolei-faq-content {
    width: 100%;
}

.aolei-faq-grid {
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    gap: 12px 20px;
}

.aolei-faq-item {
    width: 100%;
}

.aolei-faq-item-wrapper {
    border: 1px solid #E5E5E5;
    border-radius: 16px;
    overflow: hidden;
    transition: all 0.3s ease;
}

.aolei-faq-question-wrapper {
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 10px 20px;
    cursor: pointer;
    transition: all 0.3s ease;
}

.aolei-faq-question {
    font-family: var(--font-family);
    font-size: var(--font-18);
    font-weight: 400;
    line-height: normal;
    color: #2D1F18;
    flex: 1;
    transition: color 0.3s ease;
}

.aolei-faq-icon {
    flex-shrink: 0;
    width: 20px;
    height: 20px;
    display: flex;
    align-items: center;
    justify-content: center;
    transition: transform 0.3s ease;
}

.aolei-faq-icon svg {
    width: 100%;
    height: 100%;
    color: #222222;
    transition: color 0.3s ease;
}

.aolei-faq-answer-wrapper {
    max-height: 0;
    overflow: hidden;
    transition: max-height 0.3s ease-out,
        padding 0.3s ease-out;
}

.aolei-faq-answer {
    font-family: var(--font-family);
    font-size: var(--font-16);
    font-weight: 400;
    line-height: normal;
    color: #000;
    margin: 0;
    padding: 0 20px 24px;
}

.aolei-faq-item.is-active .aolei-faq-question {
    color: var(--color-primary);
}

.aolei-faq-item.is-active .aolei-faq-icon {
    transform: rotate(-90deg);
}

.aolei-faq-item.is-active .aolei-faq-icon svg path {
    fill: var(--color-primary);
}

.aolei-faq-item.is-active .aolei-faq-answer-wrapper {
    max-height: 500px;
}

@media screen and (max-width: 992px) {
    .aolei-faq-icon {
        width: 16px;
        height: 16px;
    }
}

@media screen and (max-width: 576px) {
    .aolei-faq-grid {
        grid-template-columns: 1fr;
    }

    .aolei-faq-question-wrapper {
        align-items: flex-start;
    }

}